#
# spec file for package osmosis
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           osmosis
Summary:        OpenStreetMap data processing tool
License:        Public Domain
Group:          Productivity/Scientific/Other
Version:        0.43.1
Release:        1%{?dist}
Url:            http://wiki.openstreetmap.org/index.php/Osmosis
BuildArch:      noarch
Source:         %{name}-%{version}.tar.gz
Source2:        %{name}
Requires:       java-1.6.0-openjdk

%description
Osmosis is a command line java app for processing OSM data. The tool
consists of a series of pluggable components that can be chained together
to perform a larger operation. For example, it has components for reading
from database and from file, components for writing to database and to file,
components for deriving and applying change sets to data sources, components
for sorting data, etc. It has been written so that it is easy to add new
features without re-writing common tasks such as file or database handling.

%prep
%setup -q -n %{name}

%build

%install
# suppress version 1.5 checks
export NO_BRP_CHECK_BYTECODE_VERSION=true
install -d 755 $RPM_BUILD_ROOT%{_javadir}
install -d 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/lib
cp -r lib/default $RPM_BUILD_ROOT%{_javadir}/%{name}/lib
cp -r config $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -r bin $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -r script $RPM_BUILD_ROOT%{_javadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install %SOURCE2 $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/lib
%{_javadir}/%{name}/config
%{_javadir}/%{name}/script/*.sql
%{_javadir}/%{name}/script/contrib/*.sql
%{_javadir}/%{name}/script/munin/README
%{_javadir}/%{name}/script/munin/*.conf
%{_javadir}/%{name}/script/*.txt
%doc readme.txt copying.txt changes.txt
%defattr(0755,root,root)
%dir %{_javadir}/%{name}
%dir %{_javadir}/%{name}/script
%dir %{_javadir}/%{name}/script/munin
%dir %{_javadir}/%{name}/script/contrib
%{_javadir}/%{name}/script/contrib/*.sh
%{_javadir}/%{name}/script/*.sh
%{_javadir}/%{name}/script/munin/osm_replication_lag
%{_javadir}/%{name}/bin
%exclude %{_javadir}/%{name}/bin/osmosis.bat
%{_bindir}/%{name}

%changelog
* Mon Jan 27 2014 Matt Robinson <mwr54@nbcs.rutgers.edu> - 0.43.1-1
- First build for Rutgers CentOS 6

* Sat Sep 15 2012 opensuse@dstoecker.de
- update to version 0.41
* Thu Aug 16 2012 opensuse@dstoecker.de
- update to 0.40
* Tue Apr 12 2011 kukuk@suse.de
- Update to 0.39
  - lot of fixes in the pbf code
* Tue Feb 22 2011 kukuk@suse.de
- Update to 0.38 (bug fix version)
* Sun Oct 31 2010 Werner Hoch <werner.ho@gmx.de>
- added directories script and bin
* Sun Oct 24 2010 Werner Hoch <werner.ho@gmx.de>
- Update to 0.37
- removed docs package (not part of the osmosis-latest package)
- minor fixes
* Mon Dec 21 2009 Werner Hoch <werner.ho@gmx.de>
- Update to 0.32
- modified classpath in the osmosis file
* Wed Mar  4 2009 openstreetmap@dstoecker.de
- Update to 0.30
- Added docs
* Thu Feb  7 2008 rodrigo@suse.de
- Pass arguments to jar file
* Wed Feb  6 2008 rodrigo@suse.de
- First version of the package
